中危 Chamilo LMS远程代码执行漏洞

CVE编号

CVE-2021-35413

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-12-06
漏洞描述
Chamilo LMS是Chamilo协会的一套开源的在线学习和协作系统。该系统支持创建教学内容、远程培训和在线答题等。
Chamilo LMS 1.11.x版本的course_intro_pdf_import.php存在远程代码执行漏洞。攻击者可利用该漏洞通过特制的.htaccess文件执行任意代码。

受影响系统:
Chamilo LMS 1.11.x

解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
https://support.chamilo.org/projects/1/wiki/Security_issues#Issue-66-2021-05-21-High-impact-very-low-risk-Authenticated-RCE-in-accessory-script
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 chamilo chamilo_lms * From
(including)
1.11.0
Up to
(including)
1.11.16
阿里云评分
6.3
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-94 对生成代码的控制不恰当(代码注入)
阿里云安全产品覆盖情况